# config/packages/database_connections.yaml
parameters:
    database_connections:
        main_db:
            type: direct
            driver: pdo_mysql
            host: localhost
            port: 3306
            username: main_user
            password: main_password
            database: main_database
            charset: utf8mb4
        
        external_db:
            type: direct
            driver: pdo_pgsql
            host: external-server.example.com
            port: 5432
            username: ext_user
            password: ext_password
            database: external_database
            
        legacy_db:
            type: adminer
            adminer_url: https://legacy-server.example.com/adminer.php
            driver: mysql
            host: legacy-db-server
            username: legacy_user
            password: legacy_password
            database: legacy_database